Package org.apache.tomcat.jdbc.pool.interceptor

## Interface StatementCacheMBean

All Known Implementing Classes:
  `StatementCache`

    public interface StatementCacheMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.concurrent.atomic.AtomicInteger` `getCacheSize()`
`int` `getCacheSizePerConnection()`
`int` `getMaxCacheSize()`
`boolean` `isCacheCallable()`
`boolean` `isCachePrepared()`

### Method Detail

#### isCachePrepared

    boolean isCachePrepared()

#### isCacheCallable

    boolean isCacheCallable()

#### getMaxCacheSize

    int getMaxCacheSize()

#### getCacheSize

    java.util.concurrent.atomic.AtomicInteger getCacheSize()

#### getCacheSizePerConnection

    int getCacheSizePerConnection()